## xfsprogs-3.1.1.tar.xz

=== Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

ifeq ("$(origin V)", "command line")
  BUILD_VERBOSE = $(V)
endif
ifndef BUILD_VERBOSE
  BUILD_VERBOSE = 0
endif

ifeq ($(BUILD_VERBOSE),1)
  Q =
else
  Q = @
endif

MAKEOPTS = --no-print-directory Q=$(Q)

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

SRCDIR = $(PKG_NAME)-$(PKG_VERSION)
SRCTAR = $(PKG_NAME)-$(PKG_VERSION).tar.gz

CONFIGURE = aclocal.m4 configure config.guess config.sub install-sh ltmain.sh
LSRCFILES = configure.in release.sh README VERSION $(CONFIGURE)

LDIRT = config.log .dep config.status config.cache confdefs.h conftest* \
	built .census install.* install-dev.* *.gz autom4te.cache/* libtool \
	include/builddefs include/platform_defs.h

ifeq ($(HAVE_BUILDDEFS), yes)
LDIRDIRT = $(SRCDIR)
LDIRT += $(SRCTAR)
endif

LIB_SUBDIRS = libxfs libxlog libxcmd libhandle $(LDISK)
TOOL_SUBDIRS = copy db estimate fsck fsr growfs io logprint mkfs quota \
		mdrestore repair rtcp m4 man doc po debian

ifneq ($(ENABLE_BLKID), yes)
LIB_SUBDIRS += libdisk
endif

SUBDIRS = include $(LIB_SUBDIRS) $(TOOL_SUBDIRS)

default: include/builddefs include/platform_defs.h
ifeq ($(HAVE_BUILDDEFS), no)
	$(Q)$(MAKE) $(MAKEOPTS) -C . $@
else
	$(Q)$(MAKE) $(MAKEOPTS) $(SUBDIRS)
endif

# tool/lib dependencies
$(LIB_SUBDIRS) $(TOOL_SUBDIRS): include
copy mdrestore: libxfs
db logprint: libxfs libxlog
fsr: libhandle
growfs: libxfs libxcmd
io: libxcmd libhandle
mkfs: libxfs
quota: libxcmd
repair: libxfs libxlog

ifneq ($(ENABLE_BLKID), yes)
mkfs: libdisk
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

# Recent versions of libtool require the -i option for copying auxiliary
# files (config.sub, config.guess, install-sh, ltmain.sh), while older
# versions will copy those files anyway, and don't understand -i.
LIBTOOLIZE_INSTALL = `libtoolize -n -i >/dev/null 2>/dev/null && echo -i`

configure:
	libtoolize -c $(LIBTOOLIZE_INSTALL) -f
	cp include/install-sh .
	aclocal -I m4
	autoconf

include/builddefs: configure
	./configure $$LOCAL_CONFIGURE_OPTIONS

include/platform_defs.h: include/builddefs
## Recover from the removal of $@
	@if test -f $@; then :; else \
		rm -f include/builddefs; \
		$(MAKE) $(MAKEOPTS) $(AM_MAKEFLAGS) include/builddefs; \
	fi

install: default $(addsuffix -install,$(SUBDIRS))
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default $(addsuffix -install-dev,$(SUBDIRS))

install-qa: install $(addsuffix -install-qa,$(SUBDIRS))

%-install:
	$(MAKE) -C $* install

%-install-dev:
	$(MAKE) -C $* install-dev

%-install-qa:
	$(MAKE) -C $* install-qa

distclean: clean
	$(Q)rm -f $(LDIRT)

realclean: distclean
	$(Q)rm -f $(CONFIGURE)

#
# All this gunk is to allow for a make dist on an unconfigured tree
#
dist: include/builddefs include/platform_defs.h default
ifeq ($(HAVE_BUILDDEFS), no)
	$(Q)$(MAKE) $(MAKEOPTS) -C . $@
else
	$(Q)$(MAKE) $(MAKEOPTS) $(SRCTAR)
endif

deb: include/builddefs include/platform_defs.h
ifeq ($(HAVE_BUILDDEFS), no)
	$(Q)$(MAKE) $(MAKEOPTS) -C . $@
else
	$(Q)$(MAKE) $(MAKEOPTS) $(SRCDIR)
	$(Q)$(MAKE) $(MAKEOPTS) -C po
	$(Q)$(MAKE) $(MAKEOPTS) source-link
	$(Q)cd $(SRCDIR) && dpkg-buildpackage
endif

$(SRCDIR) : $(_FORCE)
	rm -fr $@
	mkdir -p $@

$(SRCTAR) : default $(SRCDIR)
	$(Q)$(MAKE) $(MAKEOPTS) source-link
	unset TAPE; $(TAR) -cf - $(SRCDIR) | $(ZIP) --best > $@ && \
	echo Wrote: $@

=== include/Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.
# All Rights Reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write the Free Software Foundation,
# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

QAHFILES = libxfs.h libxlog.h \
	bitops.h cache.h kmem.h list.h parent.h swab.h \
	xfs_ag.h xfs_alloc.h xfs_alloc_btree.h xfs_arch.h xfs_attr_leaf.h \
	xfs_attr_sf.h xfs_bit.h xfs_bmap.h xfs_bmap_btree.h xfs_btree.h \
	xfs_btree_trace.h xfs_buf_item.h xfs_da_btree.h xfs_dinode.h \
	xfs_dir2.h xfs_dir2_block.h xfs_dir2_data.h xfs_dir2_leaf.h \
	xfs_dir2_node.h xfs_dir2_sf.h xfs_dir_leaf.h xfs_dir_sf.h \
	xfs_extfree_item.h xfs_ialloc.h xfs_ialloc_btree.h \
	xfs_imap.h xfs_inode.h xfs_inode_item.h xfs_inum.h \
	xfs_log.h xfs_log_priv.h xfs_log_recover.h xfs_metadump.h \
	xfs_mount.h xfs_quota.h xfs_rtalloc.h xfs_sb.h \
	xfs_trans.h xfs_trans_space.h xfs_types.h xfs_dfrag.h

HFILES = handle.h jdm.h xqm.h xfs.h xfs_fs.h
HFILES += $(PKG_PLATFORM).h
PHFILES = darwin.h freebsd.h irix.h linux.h
DKHFILES = volume.h fstyp.h dvh.h
LSRCFILES = $(shell echo $(PHFILES) | sed -e "s/$(PKG_PLATFORM).h//g")
LSRCFILES += platform_defs.h.in builddefs.in buildmacros buildrules install-sh
LSRCFILES += $(DKHFILES) command.h input.h path.h project.h
LDIRT = xfs disk

default install: xfs disk

xfs disk:
	@echo "    [LN]     $@"
	$(Q)$(LN_S) . $@

include $(BUILDRULES)

install-dev: default
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
	$(INSTALL) -m 644 $(HFILES) $(PKG_INC_DIR)
	$(INSTALL) -m 644 platform_defs.h $(PKG_INC_DIR)

install-qa: install-dev
	$(INSTALL) -m 644 $(QAHFILES) $(PKG_INC_DIR)

=== io/Makefile ===
#
# Copyright (c) 2000-2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_io
LSRCFILES = xfs_bmap.sh xfs_freeze.sh xfs_mkfile.sh
HFILES = init.h io.h
CFILES = init.c \
	attr.c bmap.c file.c freeze.c fsync.c getrusage.c imap.c mmap.c \
	open.c parent.c pread.c prealloc.c pwrite.c shutdown.c truncate.c

LLDLIBS = $(LIBXCMD) $(LIBHANDLE)
LTDEPENDENCIES = $(LIBXCMD) $(LIBHANDLE)
LLDFLAGS = -static

ifeq ($(HAVE_FADVISE),yes)
CFILES += fadvise.c
LCFLAGS += -DHAVE_FADVISE
else
LSRCFILES += fadvise.c
endif

ifeq ($(HAVE_MADVISE),yes)
CFILES += madvise.c
LCFLAGS += -DHAVE_MADVISE
else
LSRCFILES += madvise.c
endif

ifeq ($(HAVE_MINCORE),yes)
CFILES += mincore.c
LCFLAGS += -DHAVE_MINCORE
else
LSRCFILES += mincore.c
endif

ifeq ($(HAVE_SENDFILE),yes)
CFILES += sendfile.c
LCFLAGS += -DHAVE_SENDFILE
else
LSRCFILES += sendfile.c
endif

ifeq ($(PKG_PLATFORM),irix)
LSRCFILES += inject.c resblks.c
else
CFILES += inject.c resblks.c
LCFLAGS += -DHAVE_INJECT -DHAVE_RESBLKS
endif

ifeq ($(ENABLE_READLINE),yes)
LLDLIBS += $(LIBREADLINE) $(LIBTERMCAP)
endif

ifeq ($(ENABLE_EDITLINE),yes)
LLDLIBS += $(LIBEDITLINE) $(LIBTERMCAP)
endif

ifeq ($(HAVE_FALLOCATE),yes)
LCFLAGS += -DHAVE_FALLOCATE
endif

default: depend $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 xfs_bmap.sh $(PKG_SBIN_DIR)/xfs_bmap
	$(LTINSTALL) -m 755 xfs_freeze.sh $(PKG_SBIN_DIR)/xfs_freeze
	$(LTINSTALL) -m 755 xfs_mkfile.sh $(PKG_SBIN_DIR)/xfs_mkfile
install-dev:

-include .dep

=== libdisk/Makefile ===
#
# Copyright (c) 2000-2001,2004 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libdisk.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

CFILES = drivers.c fstype.c pttype.c
HFILES = drivers.h fstype.h pttype.h md.h xvm.h evms.h
LINUX_DRIVERS = dm.c md.c xvm.c evms.c lvm.c

ifeq ($(PKG_PLATFORM),linux)
CFILES += $(LINUX_DRIVERS)
else
LSRCFILES = $(LINUX_DRIVERS)
endif

default: ltdepend $(LTLIBRARY)

include $(BUILDRULES)

install: default

install-dev: default

install-qa: install-dev

-include .dep

=== libhandle/Makefile ===
#
# Copyright (c) 2000-2004 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libhandle.la
LT_CURRENT = 1
LT_REVISION = 3
LT_AGE = 0

LTLDFLAGS += -Wl,--version-script,libhandle.sym

CFILES = handle.c jdm.c
LSRCFILES = libhandle.sym

default: ltdepend $(LTLIBRARY)

include $(BUILDRULES)

install: default
	$(INSTALL_LTLIB)

install-dev: default
	$(INSTALL_LTLIB_DEV)

install-qa: install-dev

-include .dep

=== libxcmd/Makefile ===
#
# Copyright (c) 2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libxcmd.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

CFILES = command.c input.c paths.c projects.c help.c quit.c

ifeq ($(HAVE_GETMNTENT),yes)
LCFLAGS += -DHAVE_GETMNTENT
endif

ifeq ($(HAVE_GETMNTINFO),yes)
LCFLAGS += -DHAVE_GETMNTINFO
endif

ifeq ($(ENABLE_READLINE),yes)
LCFLAGS += -DENABLE_READLINE
endif

ifeq ($(ENABLE_EDITLINE),yes)
LCFLAGS += -DENABLE_EDITLINE
endif

default: ltdepend $(LTLIBRARY)

include $(BUILDRULES)

install install-dev install-qa: default

-include .dep

=== libxfs/Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libxfs.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

HFILES = xfs.h init.h
CFILES = cache.c init.c kmem.c logitem.c rdwr.c trans.c util.c \
	xfs_alloc.c xfs_ialloc.c xfs_inode.c xfs_btree.c xfs_alloc_btree.c \
	xfs_ialloc_btree.c xfs_bmap_btree.c xfs_da_btree.c \
	xfs_dir2.c xfs_dir2_leaf.c xfs_attr_leaf.c xfs_dir2_block.c \
	xfs_dir2_node.c xfs_dir2_data.c xfs_dir2_sf.c xfs_bmap.c \
	xfs_mount.c xfs_rtalloc.c xfs_trans.c xfs_attr.c

CFILES += $(PKG_PLATFORM).c
PCFILES = darwin.c freebsd.c irix.c linux.c
LSRCFILES = $(shell echo $(PCFILES) | sed -e "s/$(PKG_PLATFORM).c//g")

#
# Tracing flags:
# -DIO_DEBUG		reads and writes of buffers
# -DMEM_DEBUG		all zone memory use
# -DLI_DEBUG		log item (ino/buf) manipulation
# -DXACT_DEBUG		transaction state changes
#
#LCFLAGS +=

FCFLAGS = -I.

# don't try linking xfs_repair with a debug libxfs.
DEBUG = -DNDEBUG

default: ltdepend $(LTLIBRARY)

include $(BUILDRULES)

install: default

install-dev: default

install-qa: default

-include .dep

=== libxlog/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libxlog.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

CFILES = xfs_log_recover.c util.c

# don't want to link xfs_repair with a debug libxlog.
DEBUG = -DNDEBUG

default: ltdepend $(LTLIBRARY)

include $(BUILDRULES)

install install-dev install-qa: default

-include .dep

=== man/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

SUBDIRS = man3 man5 man8

default : $(SUBDIRS)

install : $(addsuffix -install,$(SUBDIRS))

install-dev : $(addsuffix -install-dev,$(SUBDIRS))

%-install:
	$(MAKE) -C $* install

%-install-dev:
	$(MAKE) -C $* install-dev

include $(BUILDRULES)

=== mdrestore/Makefile ===
#
# Copyright (c) 2007 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_mdrestore
CFILES = xfs_mdrestore.c

LLDLIBS = $(LIBXFS) $(LIBRT) $(LIBPTHREAD)
LTDEPENDENCIES = $(LIBXFS)
LLDFLAGS = -static

default: depend $(LTCOMMAND)

include $(BUILDRULES)

install:
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
install-dev:

-include .dep

=== mkfs/Makefile ===
#
# Copyright (c) 2000-2004 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = mkfs.xfs
FSTYP = fstyp

HFILES = xfs_mkfs.h
CFILES = maxtrres.c proto.c xfs_mkfs.c

LLDLIBS = $(LIBXFS) $(LIBUUID) $(LIBRT) $(LIBPTHREAD)
LTDEPENDENCIES = $(LIBXFS)
LLDFLAGS = -static

ifeq ($(ENABLE_BLKID),yes)
LLDLIBS += $(LIBBLKID)
CFLAGS += -DENABLE_BLKID
else
LLDLIBS += $(LIBDISK)
LTDEPENDENCIES += $(LIBDISK)
endif


LSRCFILES = $(FSTYP).c
LDIRT = $(FSTYP)

default: depend $(LTCOMMAND)

ifneq ($(ENABLE_BLKID),yes)
default: $(FSTYP)
endif

include $(BUILDRULES)

$(FSTYP):
	@echo "    [CC]     $@"
	$(Q)$(LTLINK) $@.c -o $@ $(CFLAGS) $(LDFLAGS) $(LIBDISK) $(PLDLIBS)

install: default
	$(INSTALL) -m 755 -d $(PKG_ROOT_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_ROOT_SBIN_DIR)
install-dev:

-include .dep

=== quota/Makefile ===
#
# Copyright (c) 2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_quota
HFILES = init.h quota.h
CFILES = init.c util.c \
	edit.c free.c path.c project.c quot.c quota.c report.c state.c

CFILES += $(PKG_PLATFORM).c
PCFILES = darwin.c freebsd.c irix.c linux.c
LSRCFILES = $(shell echo $(PCFILES) | sed -e "s/$(PKG_PLATFORM).c//g")

LLDLIBS = $(LIBXCMD)
LTDEPENDENCIES = $(LIBXCMD)
LLDFLAGS = -static

ifeq ($(ENABLE_READLINE),yes)
LLDLIBS += $(LIBREADLINE) $(LIBTERMCAP)
CFLAGS += -DENABLE_READLINE
endif

ifeq ($(ENABLE_EDITLINE),yes)
LLDLIBS += $(LIBEDITLINE) $(LIBTERMCAP)
CFLAGS += -DENABLE_EDITLINE
endif

default: depend $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
install-dev:

-include .dep

=== debian/changelog ===
xfsprogs (3.1.1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 28 Jan 2010 20:54:22 +1100

xfsprogs (3.1.0) unstable; urgency=low

  * New upstream release
  * Merged German translation (closes: #521389)
  * Merged German translation update (closes: #557100)
  * Uptodate po file is provided now (closes: #538962)
  * Fixed typos in xfs_quota man page (closes: #481715)
  * Tighten permissions on temp fsr files (closes: #559490)

 -- Nathan Scott <nathans@debian.org>  Thu, 10 Dec 2009 09:19:37 +1100

xfsprogs (3.0.4) unstable; urgency=low

  * New bugfix release
  * Resolve a libxfs unaligned access (closes: #517553)

 -- Nathan Scott <nathans@debian.org>  Thu, 17 Sep 2009 14:32:48 +1000

xfsprogs (3.0.2) unstable; urgency=low

  * New bugfix release

 -- Nathan Scott <nathans@debian.org>  Wed, 06 May 2009 11:29:18 +1000

xfsprogs (3.0.0-1) unstable; urgency=low

  * New upstream release (closes: #263170)
  * Remove watch file, xfsprogs is native
  * Updated dependencies as this requires xfsdump 3 also

 -- Nathan Scott <nathans@debian.org>  Wed, 28 Jan 2009 21:15:07 +1100

xfsprogs (2.10.2-1) unstable; urgency=low

  * New upstream release
  * No longer ignore -i maxpct option in mkfs.xfs (closes: #500593)
  * Correct features2 superblock field handling (closes: #473135)
  * 32 bit emulation on 64 bit kernels works (closes: #485020)
  * Fix up large sector handling in mkfs (closes: #489421)

 -- Nathan Scott <nathans@debian.org>  Sat, 20 Dec 2008 10:14:27 +1100

xfsprogs (2.9.10-1) unstable; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 05 Sep 2008 14:02:20 +1000

xfsprogs (2.9.8-1) unstable; urgency=low

  * New upstream release
  * xfsprogs and xfsprogs-udeb depend on ${misc:Depends}
  * Add Homepage control header
  * Add watch file
  * Fix the following lintian issues:
    W: xfsprogs source: package-uses-deprecated-debhelper-compat-version 1
    W: xfsprogs source: ancient-standards-version 3.5.9 (current is 3.7.3)
    W: xfslibs-dev: package-contains-empty-directory usr/share/doc/xfsprogs/

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 22 Apr 2008 13:04:05 +1000

xfsprogs (2.9.7-1) unstable; urgency=high

  * New upstream release.
  * Add -y fsck option (closes: #463810)
  * Lazy superblock counters not yet mkfs default (closes: #465737, #468184)
  * xfs_repair memory requirements significantly reduced (closes: #289665)

 -- Nathan Scott <nathans@debian.org>  Sat, 01 Mar 2008 06:24:21 +1100

xfsprogs (2.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 22 Jan 2008 16:46:18 +1100

xfsprogs (2.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 12 Jun 2007 07:22:21 +1000

xfsprogs (2.8.20-1) unstable; urgency=low

  * New upstream release (closes: #414079)
  * Fixed up autoconf version dependency (closes: #414073)

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Mar 2007 08:24:33 +1100

xfsprogs (2.8.19-1) unstable; urgency=low

  * New upstream release (closes: #409063)

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Jan 2007 08:53:32 +1100

xfsprogs (2.8.18-1) unstable; urgency=low

  * New upstream release (closes: #399888)

 -- Nathan Scott <nathans@debian.org>  Fri, 08 Dec 2006 08:30:29 +1100

xfsprogs (2.8.12-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Aug 2006 14:28:05 +1000

xfsprogs (2.8.11-1) unstable; urgency=low

  * New upstream release.
  * More efficient use of buffer cache memory (closes: #382935)

 -- Nathan Scott <nathans@debian.org>  Tue, 08 Aug 2006 17:06:58 +1000

xfsprogs (2.8.10-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Wed, 02 Aug 2006 11:17:07 +1000

xfsprogs (2.8.4-1) unstable; urgency=low

  * New upstream release.
  * Improved udeb packaging, thanks to Frans Pop (closes: #375439)
  * Fix filesystem-from-path detection logic (closes: #374687)

 -- Nathan Scott <nathans@debian.org>  Mon, 26 Jun 2006 10:04:18 +1000

xfsprogs (2.8.3-1) unstable; urgency=low

  * New upstream release.
  * Fix segv in xfs_growfs command (closes: #374686)
  * Ensure source tarball in correct location (closes: #374696)

 -- Nathan Scott <nathans@debian.org>  Wed, 21 Jun 2006 15:19:56 +1000

xfsprogs (2.7.16-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Wed, 05 Apr 2006 11:45:58 +1000

xfsprogs (2.7.14-1) unstable; urgency=low

  * New upstream release.
  * Switch from debmake to debhelper

 -- Nathan Scott <nathans@debian.org>  Wed, 15 Feb 2006 20:04:55 +1100

xfsprogs (2.7.12-1) unstable; urgency=low

  * New upstream release.
  * Includes polish translation from Jakub Bogusz.

 -- Nathan Scott <nathans@debian.org>  Tue, 31 Jan 2006 13:35:39 +1100

xfsprogs (2.7.7-1) unstable; urgency=low

  * New upstream release.
  * Add support for (optional) ATTR2 format extension (closes: #336350)
  * Allow gcc -pedantic option for C++ <xfs.h> users (closes: #249429)
  * Fix segv in xfs_db frag command (closes: #338207)

 -- Nathan Scott <nathans@debian.org>  Wed, 16 Nov 2005 16:32:35 +1100

xfsprogs (2.7.4-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Sat, 08 Oct 2005 10:34:10 +1000

xfsprogs (2.6.36-1) unstable; urgency=low

  * New upstream release.
  * Fix xfs_repair secondary SB search 32 bit wrap (closes: #320081)

 -- Nathan Scott <nathans@debian.org>  Thu, 28 Jul 2005 14:01:50 +1000

xfsprogs (2.6.28-1) unstable; urgency=low

  * New upstream release.
  * Fix compilation with gcc version 4 (closes: #300544)

 -- Nathan Scott <nathans@debian.org>  Wed, 30 Mar 2005 10:52:07 +1000

xfsprogs (2.6.26-2) unstable; urgency=low

  * No code differences, recompiled with a more recent gcc version.

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Mar 2005 11:57:57 +1000



=== debian/control ===
Source: xfsprogs
Section: admin
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline5-dev
Standards-Version: 3.8.1
Homepage: http://oss.sgi.com/projects/xfs/

Package: xfsprogs
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: fsck-backend
Suggests: xfsdump, acl, attr, quota
Conflicts: xfsdump (<< 3.0.0)
Architecture: any
Description: Utilities for managing the XFS filesystem
 A set of commands to use the XFS filesystem, including mkfs.xfs.
 .
 XFS is a high performance journaling filesystem which originated
 on the SGI IRIX platform.  It is completely multi-threaded, can
 support large files and large filesystems, extended attributes,
 variable block sizes, is extent based, and makes extensive use of
 Btrees (directories, extents, free space) to aid both performance
 and scalability.
 .
 Refer to the documentation at http://oss.sgi.com/projects/xfs/
 for complete details.

Package: xfslibs-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, uuid-dev, xfsprogs (>= 3.0.0)
Conflicts: xfsprogs (<< 3.0.0)
Architecture: any
Description: XFS filesystem-specific static libraries and headers
 xfslibs-dev contains the libraries and header files needed to
 develop XFS filesystem-specific programs.
 .
 XFS is a high performance journaling filesystem which originated
 on the SGI IRIX platform.  It is completely multi-threaded, can
 support large files and large filesystems, extended attributes,
 variable block sizes, is extent based, and makes extensive use of
 Btrees (directories, extents, free space) to aid both performance
 and scalability.
 .
 Refer to the documentation at http://oss.sgi.com/projects/xfs/
 for complete details.

Package: xfsprogs-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A stripped-down version of xfsprogs, for debian-installer
 This package is an xfsprogs package built for reduced size, so that it
 can help to save space in debian-installer.
 .
 Don't attempt to install this package, it has no support for a couple of
 features you surely want.  Anyway, it should fail to install.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

package = xfsprogs
develop = xfslibs-dev
bootpkg = xfsprogs-udeb

version = $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
target ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
udebpkg = $(bootpkg)_$(version)_$(target).udeb

dirme  = debian/$(package)
dirdev = debian/$(develop)
dirdi  = debian/$(bootpkg)
pkgme  = DIST_ROOT=`pwd`/$(dirme);  export DIST_ROOT;
pkgdev = DIST_ROOT=`pwd`/$(dirdev); export DIST_ROOT;
pkgdi  = DIST_ROOT=`pwd`/$(dirdi); export DIST_ROOT;
stdenv = @GZIP=-q; export GZIP;

options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
	  INSTALL_USER=root INSTALL_GROUP=root \
	  LOCAL_CONFIGURE_OPTIONS=--enable-readline=yes ;
diopts  = $(options) \
	  export OPTIMIZER=-Os LOCAL_CONFIGURE_OPTIONS="--enable-gettext=no" ;
checkdir = test -f debian/rules

build: built
built: dibuild config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	$(options) $(MAKE) include/platform_defs.h
	touch .census

dibuild:
	$(checkdir)
	@echo "== dpkg-buildpackage: installer" 1>&2
	if [ ! -f mkfs/mkfs.xfs-$(bootpkg) ]; then \
		$(diopts) $(MAKE) include/platform_defs.h; \
		for dir in include libxfs libdisk mkfs; do \
			$(MAKE) -C $$dir; \
		done; \
		mv mkfs/mkfs.xfs mkfs/mkfs.xfs-$(bootpkg); \
		$(MAKE) distclean; \
	fi

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f built .census mkfs/mkfs.xfs-$(bootpkg)
	$(MAKE) distclean
	-rm -rf $(dirme) $(dirdev) $(dirdi)
	-rm -f debian/*substvars debian/files* debian/*.debhelper

binary-indep:

binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	-rm -rf $(dirme) $(dirdev) $(dirdi)
	$(pkgme)  $(MAKE) -C . install
	$(pkgdev) $(MAKE) -C . install-dev
	$(pkgdi)  $(MAKE) -C debian install-d-i
	$(pkgme)  $(MAKE) dist
	rmdir debian/xfslibs-dev/usr/share/doc/xfsprogs
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot
